@import url('https://fonts.cdnfonts.com/css/montserrat');
body {
  margin: 0;
  font-family: Montserrat;
}

h1 {
  margin: 40px auto !important;
}
.st_section {
  width: 100%;
  overflow: hidden;
}

.mobile-sub-menu > a {
  display: block;
  color: #fff;
  text-decoration: none;
  line-height: 20px;
  margin-left: 20px;
}

.st_full_section {
  width: 100%;
}

.st_row {
  width: 100%;
  max-width: 1440px;
  margin: auto;
}

.st_column {
  width: 80%;
  margin: auto;
}

.header_section {
  background-image: linear-gradient(#facc22, #f7b317);
  height: 90px;
  display: flex;
  align-items: center;
}

.header_section .st_column {
  display: flex;
}
.logo_container {
}

.logo_container img {
  width: 100%;
  min-width: 200px;
}

.header_section .st_column {
  justify-content: space-between;
}
.header_section .column_1 {
  width: 30%;
}
.header_section .column_2 {
  width: 70%;
}

.header_section .menu {
  display: flex;
  list-style: none;
  width: auto;
  padding: 0;
  gap: 20px;
}

.header_section .column_2 {
  justify-content: flex-end;
  display: flex;
  align-items: center;
}

.header_section .menu {
  display: flex;
  justify-content: flex-end;
}

.header_section .menu li.menu_item a {
  text-decoration: none;

  font-family: 'Montserrat', sans-serif;
  font-weight: bold;
  font-size: 14px;
  color: #fff;
  text-transform: uppercase;
  transition: color 0.5s;
}

.header_section .menu li.menu_item a:hover {
  color: #f14424;
}

.hero_banner {
  position: relative;
}
.hero_banner .overlay {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}
.hero_banner .overlay > img {
  width: 100%;
}

.hero_banner .owl-dots {
  position: absolute;
  bottom: 0;
  left: 50%;
  z-index: 1;
}

.hero_banner .owl-carousel {
  position: relative;
}
.hero_banner img {
  width: 100%;

  margin: auto;
}

@media (max-width: 768px) {
  .first_section {
    padding: 0;
  }
  .first_section > .st_row > .st_column > h1 {
    font-size: 30px !important;
  }
}

.first_section > .st_row > .st_column > h1 {
  font-size: 50px;
  font-weight: 800;
  text-transform: uppercase;
  color: #f7b317;
  margin: auto;
  text-align: center;
}
.first_section > .st_row > .st_column > p {
  text-shadow: 0px 1px rgba(0, 0, 0, 0.5);
  max-width: 600px;
  margin: auto;
  text-align: center;
  font-size: 16px;
  line-height: 28px;
}
.puerto {
  padding: 60px 0;
}
.puerto .st_column {
  justify-content: space-between;
  display: flex;
  flex-wrap: wrap;
}

.puerto .st_column > div {
  width: 30%;
  text-align: center;

  line-height: 28px;
}

@media (max-width: 768px) {
  .puerto .st_column {
    gap: 20px;
  }
  /* Toggle button styles */
  .puerto .st_column > div {
    width: 100%;
  }
}

.puerto .st_column > div h3 {
  font-size: 28px;
  font-weight: 700;
  text-transform: uppercase;
  color: #f7b317;
}

.puerto .st_column > div p {
  font-size: 16px;
  text-shadow: 0px 1px rgba(0, 0, 0, 0.5);
}

.puerto > .st_column > div > img {
  width: 100%;
}
/* Buttons */

.getting_there {
  background-image: linear-gradient(#facc22, #f7b317);
  border: 1px solid #f7b317;
}
.learn_more {
  background-image: linear-gradient(#f14424, #fc6a4f);
}
.book_now {
  background-image: linear-gradient(#01a9fc, #0078fd);
}

.p_buttons {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.p_buttons a {
  display: inline;
  text-decoration: none;
  transition: all 1s;
  background: #ccc;
  max-width: 164px;
  margin: auto;
}

.p_buttons a:hover span {
  width: 180px;
}

.p_button {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50px;
  font-weight: 700;
  text-transform: uppercase;
  color: #ffffff;
  margin: auto;
  width: 160px;
  border-radius: 3px;
  transition: all 0.2s;
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
}

.st_section.three_images {
  background-color: #faf398;
  padding: 60px 0;
}
.st_section.three_images .st_column {
  display: flex;
  flex-wrap: wrap;
}

.st_section.three_images .st_column > div {
  width: 33.33%;

  overflow: hidden;
  position: relative;
}

@media (max-width: 768px) {
  .st_section.three_images .st_column {
    gap: 20px;
  }
  .st_section.three_images .st_column > div {
    width: 100%;
  }
}

.st_section.three_images .st_column > div > img {
  width: 100%;
}

.border {
  position: absolute;
  top: 20px;
  left: 20px;
  width: calc(100% - 40px);
  height: calc(100% - 40px);
  border: 1px solid rgba(255, 255, 255, 0.5);
  z-index: 1;
  background-color: rgba(255, 255, 255, 0.1);
  transition: all 0.2s;
}
.st_section.three_images .st_column > div:hover .border {
  background-color: rgba(0, 0, 0, 0.1);
}

.title_overlay span {
  display: block;
  width: 50%;
  font-weight: bold;
  color: #000000;
  position: absolute;
  bottom: 20px;
  left: 40px;
}
.title_overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 110px;
  z-index: 2;
  background: url('../img/title_overlay.png') no-repeat;
  opacity: 0.8;
  transition: all 0.2s;
}

.st_section.three_images .st_column > div:hover .title_overlay {
  height: 130px;
  opacity: 1;
}

.sustainability {
  background: #000 url('../img/sustainability-new.jpg') no-repeat;
  background-size: cover;
  padding: 60px 0;
  height: 800px;
}

.sustainability > .st_row > .st_column > h1 {
  font-size: 50px;
  font-weight: 800;
  text-transform: uppercase;
  color: #f7b317;
  margin: auto;
  text-align: center;
}

@media (max-width: 768px) {
  .sustainability > .st_row > .st_column > h1 {
    font-size: 30px;
  }
}
.sustainability > .st_row > .st_column > p {
  max-width: 600px;
  margin: auto;
  text-align: center;
  font-size: 16px;
  line-height: 28px;
  margin: 30px auto;
  color: #ffffff;
  text-shadow: 0px 1px rgba(255, 255, 255, 0.5);
}

.about {
  background: #000 url('../img/OUTSIDE HOTEL 03.jpg') no-repeat;
  background-size: cover;
  padding: 60px 0;
  height: 800px;
}

.contact a {
  color: #000000;
  text-decoration: none;
}

@media (max-width: 768px) {
  .about {
    height: auto;
  }
}

.about > .st_row > .st_column > h1 {
  font-size: 50px;
  font-weight: 800;
  text-transform: uppercase;
  color: #ffffff;
  margin: auto;
  text-align: center;
}

@media (max-width: 768px) {
  .about > .st_row > .st_column > h1 {
    font-size: 40px;
  }
  .about > .st_row > .st_column > p {
    max-width: 100% !important;
  }
}
.about > .st_row > .st_column > p {
  max-width: 70%;
  margin: auto;
  text-align: center;
  font-size: 16px;
  line-height: 28px;
  margin: 30px auto;
  color: #ffffff;
  text-shadow: 0px 1px rgba(255, 255, 255, 0.5);
}

.about > .st_row:nth-child(2) .st_column {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.about > .st_row:nth-child(2) .st_column > div {
  width: 30%;
  text-align: center;
}

@media (max-width: 768px) {
  .about > .st_row:nth-child(2) .st_column {
    gap: 30px;
  }
  .about > .st_row:nth-child(2) .st_column > div {
    width: 100%;
  }
}

.about > .st_row:nth-child(2) .st_column > div > a > span {
  color: #ffffff;
  text-transform: uppercase;
  width: 160px;

  display: inline-block;
}

@media (max-width: 768px) {
  .contact > .st_row > .st_column > h1 {
    font-size: 40px !important;
  }
}
.contact > .st_row > .st_column > h1 {
  font-size: 50px;
  font-weight: 800;
  text-transform: uppercase;
  color: #f7b317;
  margin: auto;
  text-align: center;
}
.contact .st_column > p {
  margin-top: 0;
  margin-bottom: 10px;
}
.contact .st_column {
  display: flex;
  flex-direction: column;
  padding: 60px 0;
  flex-wrap: wrap;
}
.contact .st_column > * {
  max-width: 500px;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.contact .st_column img {
  width: 200px;
  margin: auto;
  text-align: center;
}

.contact a:hover > .l_book_now {
  width: 250px;
}
.contact .l_book_now {
  width: 200px;
  padding: 10px 40px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #ffffff;
  text-transform: uppercase;
  font-size: 31px;
  margin: 60px auto 0 auto;
  transition: width 0.2s;
  font-weight: 700;
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
}

.contact a:has(.l_book_now) {
  text-decoration: none;
  text-align: center;
}

.mobile_footerbg {
  display: block;
  margin: auto;
  width: 100%;
}

@media (max-width: 768px) {
  .mobile_footerbg {
    display: block;
    width: 100%;
  }
}
footer {
  background-repeat: no-repeat;
  background-color: transparent;

  background-position: top center;
  display: flex;
  align-items: flex-end;
}

.footer_section {
  background-color: #f58320;
  height: 90%;
  display: flex;
  overflow: hidden;
}

@media (max-width: 768px) {
  .footer_section .st_column > div {
    width: 100%;
  }
  .footer_section .st_column > div:nth-child(1) {
    justify-content: center;
    align-items: center;
  }
  .footer_section .st_column {
    flex-wrap: wrap;
  }
}

.footer_section .st_column > div:nth-child(1) {
  display: flex;
  flex-direction: column;
}

.footer_section .st_column > div:nth-child(1) > img {
  max-width: 250px;
}

.footer_section .st_column {
  display: flex;
  gap: 20px;
  padding: 20px 0;
}

.footer_section .column_1 {
  flex-grow: 1;
  width: 25%;
}

.footer_section .column_1 a img {
  width: 80%;
}
.footer_section .column_2 {
  width: 48%;
  display: flex;
  flex-wrap: wrap;
}
.footer_section .column_2 img {
  max-width: 200px;
}

.footer_section .column_3 {
  width: 25%;
}

.footer_section .column_2,
.footer_section .column_3 {
  color: #ffffff;
}
.footer_section .column_2 p,
.footer_section .column_3 p {
  font-weight: 600;
}
.footer_section .column_3 ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.footer_section .column_3 ul > li {
  line-height: 30px;
}

.footer_section .column_3 ul > li > a {
  color: #ffffff;
  text-decoration: none;
}
.footer_section .column_3 ul > li > a:hover {
  font-weight: 700;
}

.mobile_menu_section {
  display: none;
}

@media (max-width: 768px) {
  /* Toggle button styles */

  .header_section {
    height: 60px;
  }
  .header_section .column_2 {
    display: none;
  }
  .mobile_menu {
    background: #f7b317;
    width: 100%;
  }
  .mobile_menu ul {
    list-style: none;
  }
  .mobile_menu ul > li {
    line-height: 60px;
  }
  .mobile_menu ul > li > a {
    color: #ffffff;
    font-weight: bold;
    text-decoration: none;
    text-transform: uppercase;
  }
  .mobile_menu_section {
    display: flex;
    width: 300px;
    height: 100vh;
    position: fixed;
    right: -240px;
    top: 0;
    z-index: 9;
    transition: right 0.5s;
    padding: 0;
    margin: 0;
  }
  .mobile_menu_section .mobile_menu {
    opacity: 0;
    transition: opacity 1s;
  }

  .mobile_menu_section.active .mobile_menu {
    opacity: 1;
  }

  .mobile_menu_section.active {
    right: 0;
  }
  .menu-toggle {
    display: block;
    background: none;
    border: none;

    cursor: pointer;
    height: 50px;

    padding: 20px 0 10px 0;
  }

  /* Hamburger icon styles */
  .hamburger-icon {
    display: block;
    width: 30px;
    height: 20px;
    position: relative;
  }

  .bar {
    content: '';
    display: block;
    background-color: #333; /* Change this to your desired color */
    height: 3px;
    width: 30px;
    position: absolute;
    transition: transform 0.3s ease;
    left: 0;
  }

  .bar:nth-child(1) {
    top: 0;
  }

  .bar:nth-child(2) {
    top: 8px;
  }

  .bar:nth-child(3) {
    bottom: 0;
  }

  /* Transform the hamburger bars into an X icon on button click */
  .menu-toggle[aria-expanded='true'] .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  .menu-toggle[aria-expanded='true'] .bar:nth-child(2) {
    transform: scaleX(0);
  }

  .menu-toggle[aria-expanded='true'] .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

  .menu-toggle {
    display: flex;

    justify-content: space-between;
  }
}

.dropdown {
  float: left;
  overflow: hidden;
}

.dropdown .dropbtn {
  font-size: 16px;
  border: none;
  outline: none;
  color: white;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9c41f;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 2;
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 3px 10px;
  text-decoration: none;
  display: block;
  text-align: left;
  z-index: 9999 !important;
}

.dropdown:hover .dropdown-content {
  display: block;
}
